using System.Collections.ObjectModel;

namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMetaBase
{

    public static string? GetMaker(ExifDirectoryBase[]? exifBaseDirectories) =>
        MetaBase.GetMaker(exifBaseDirectories);

    public static string? GetModel(ExifDirectoryBase[]? exifBaseDirectories) =>
        MetaBase.GetModel(exifBaseDirectories);

    public static int? GetOrientation(ExifDirectoryBase[]? exifBaseDirectories) =>
        MetaBase.GetOrientation(exifBaseDirectories);

    public static ReadOnlyCollection<string> GetKeywords(ExifDirectoryBase[]? exifBaseDirectories) =>
        MetaBase.GetKeywords(exifBaseDirectories);

    internal static string? TestStatic_GetMaker(ExifDirectoryBase[]? exifBaseDirectories) =>
        GetMaker(exifBaseDirectories);

    internal static string? TestStatic_GetModel(ExifDirectoryBase[]? exifBaseDirectories) =>
        GetModel(exifBaseDirectories);

    internal static int? TestStatic_GetOrientation(ExifDirectoryBase[]? exifBaseDirectories) =>
        GetOrientation(exifBaseDirectories);

    internal static ReadOnlyCollection<string> TestStatic_GetKeywords(ExifDirectoryBase[]? exifBaseDirectories) =>
        GetKeywords(exifBaseDirectories);

}